library(ggplot2)
library(tidyr)

#faili sisselugemine ja andmete formaadi korrigeerimine
J316=read.csv2("PT3-T3.1-J3.1.6.csv",header=TRUE, encoding ="UTF-8")
names(J316)[4]="X10.aastased.üksikvanemaga.perest"
names(J316)[7]="X12.aastased.üksikvanemaga.perest"
J316=pivot_longer(J316, 2:7)
J316$name=sub("X", "",J316$name)
J316$name=sub("10.", "10-",J316$name)
J316$name=sub("12.", "12-",J316$name)
J316$name=sub("\\.", " ",J316$name)
J316$name=sub("\\.", " ",J316$name)
J316$name=sub("\\.", " ",J316$name)
J316$value=round(as.numeric(J316$value),1)
J316$name=as.factor(J316$name)
J316$Riik=as.factor(J316$Riik)
J316$value[13]=9.4
J316$silt=as.character(J316$value)
J316$silt[2]="9.0"


#joonis
ggplot(J316)+
  facet_grid(~Riik)+
  geom_col(aes(x=name,y=value,fill=name))+
  geom_label(aes(x=name, y=value, label=silt))+
  theme_minimal()+
  theme(legend.position = "bottom")+
  scale_fill_manual(values=c("#1E272E","#6666cc","#0069AD","#4db3d9","#81DBFE","#e0e8d6"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  theme(strip.text.x=element_text(color="#668080"))+
  theme(axis.text.x = element_blank(),legend.title = element_blank())+
  guides(fill = guide_legend(nrow=3,byrow = TRUE))+
  ylab("")+
  xlab("")






